org.eclipse.jdt.debug.ui.launchConfigurations

## Class JavaClasspathTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab
      - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2, org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener

    public class JavaClasspathTab
    extends org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab

A launch configuration tab that displays and edits the user and bootstrap classes comprising the classpath launch configuration attribute.

Clients may call `AbstractLaunchConfigurationTab.setHelpContextId(String)` on this tab prior to control creation to alter the default context help associated with this tab.

This class may be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

Fields
`protected static String` `DIALOG_SETTINGS_PREFIX`
`protected org.eclipse.jdt.internal.debug.ui.classpath.RuntimeClasspathViewer` `fClasspathViewer`
`protected ILaunchConfiguration` `fLaunchConfiguration` The last launch config this tab was initialized from

### Constructor Summary

Constructors
Constructor and Description
`JavaClasspathTab()` Constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected Button` `createButton(Composite pathButtonComp, org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)` Creates a button for the given action.
`void` `createControl(Composite parent)`
`protected void` `createPathButtons(Composite pathButtonComp)` Creates the buttons to manipulate the classpath.
`void` `dispose()`
`static Image` `getClasspathImage()` Returns the image for this tab, or `null` if none
`String` `getId()`
`Image` `getImage()`
`ILaunchConfiguration` `getLaunchConfiguration()` Returns the current launch configuration
`protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel` `getModel()`
`String` `getName()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`boolean` `isShowBootpath()` Returns whether the bootpath should be displayed.
`boolean` `isValid(ILaunchConfiguration launchConfig)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab

`entriesChanged`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fClasspathViewer

    protected org.eclipse.jdt.internal.debug.ui.classpath.RuntimeClasspathViewer fClasspathViewer

#### DIALOG_SETTINGS_PREFIX

    protected static final String DIALOG_SETTINGS_PREFIX

See Also:
  Constant Field Values

#### fLaunchConfiguration

    protected ILaunchConfiguration fLaunchConfiguration

The last launch config this tab was initialized from

### Constructor Detail

#### JavaClasspathTab

    public JavaClasspathTab()

Constructor

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### createPathButtons

    protected void createPathButtons(Composite pathButtonComp)

Creates the buttons to manipulate the classpath.

Parameters:
  `pathButtonComp` - composite buttons are contained in
Since:
  3.0

#### createButton

    protected Button createButton(Composite pathButtonComp,
                                  org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)

Creates a button for the given action.

Parameters:
  `pathButtonComp` - parent composite for the button
  `action` - the action triggered by the button
Returns:
  the button that was created

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`

#### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLaunchConfigurationTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

#### getName

    public String getName()

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`

#### getClasspathImage

    public static Image getClasspathImage()

Returns the image for this tab, or `null` if none

Returns:
  the image for this tab, or `null` if none
See Also:
  `ILaunchConfigurationTab.getImage()`

#### getLaunchConfiguration

    public ILaunchConfiguration getLaunchConfiguration()

Returns the current launch configuration

Returns:
  the backing `ILaunchConfiguration`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### isValid

    public boolean isValid(ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

#### isShowBootpath

    public boolean isShowBootpath()

Returns whether the bootpath should be displayed.

Returns:
  whether the bootpath should be displayed
Since:
  3.0

#### getModel

    protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel getModel()

Returns:
  Returns the classpath model.